Subject: bug#30182: Update

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Feb 2018 20:01:13 +0200

> Date: Sun, 04 Feb 2018 11:01:22 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
>  >> In either case, an average Lisp programmer will be completely lost
>  >> when trying to understand process_pending_signals and gobble_input and
>  >> their possible implications.  But maybe it is undocumentable.
>  >
>  > Why would a Lisp programmer need to understand that?  It's a C-level
>  > problem, and should be fixed on the C level.
> 
> I meant Lisp programmers occasionally delving into C code to
> understand what's going on with their code.  They probably should know
> about quitting and how to inhibit it but will have no idea how input
> is blocked and what consequences that has for them.

Quitting is not the problem, and it shouldn't be blocked: users should
be able to bail out of lengthy Lisp calculations.  What should be
blocked is reading X events as part of maybe_quit, in those cases
where running Lisp cannot be allowed.